classification
Title: wave.Wave_read and wave.Wave_write can be context managers
Type: enhancement Stage: committed/rejected
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Claudiu.Popa, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-04-02 09:16 by Claudiu.Popa, last changed 2013-08-01 00:48 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
wave_context_manager.patch Claudiu.Popa, 2013-04-02 09:16 review
Messages (4)
msg185825 - (view) Author: Claudiu.Popa (Claudiu.Popa) * Date: 2013-04-02 09:16
I think that wave.open should work with the `with` statement, given the fact that Lib/aifc.py does this. I attached a simple patch for this. Thanks in advance.
msg194004 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-31 17:50
New changeset 8327780d3841 by R David Murray in branch 'default':
#17616: wave.open now supports the 'with' statement.
http://hg.python.org/cpython/rev/8327780d3841
msg194005 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-07-31 17:50
Thanks, Claudiu.
msg194029 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-01 00:48
New changeset 4f3b6eff2ede by R David Murray in branch 'default':
#17616: Improve context manager tests, fix bugs in close method and mode docs.
http://hg.python.org/cpython/rev/4f3b6eff2ede
History
Date User Action Args
2013-08-01 00:48:43python-devsetmessages: + msg194029
2013-07-31 17:50:58r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg194005

resolution: fixed
stage: committed/rejected
2013-07-31 17:50:06python-devsetnosy: + python-dev
messages: + msg194004
2013-04-02 09:16:06Claudiu.Popacreate